import { p as proxyCustomElement, H, h } from './p-a53686b3.js';
import { r as randomIdGenerator } from './p-ffe5c0e8.js';

const iconInputSelectMarkerCss = ".sc-digi-icon-input-select-marker-h{--digi--icon--color:var(--digi--color--icon--primary);--digi--icon--width:initial;--digi--icon--height:auto;display:flex;min-height:1.4em;align-items:center}.sc-digi-icon-input-select-marker-h svg.sc-digi-icon-input-select-marker{color:var(--digi--icon--color);max-width:var(--digi--icon--width);max-height:var(--digi--icon--height);width:var(--digi--icon--width, auto);height:var(--digi--icon--height, auto)}";
const DigiIconInputSelectMarkerStyle0 = iconInputSelectMarkerCss;

const IconInputSelectMarker = /*@__PURE__*/ proxyCustomElement(class IconInputSelectMarker extends H {
    constructor() {
        super();
        this.__registerHost();
        this.afTitle = undefined;
        this.afDesc = undefined;
        this.afSvgAriaHidden = true;
        this.afSvgAriaLabelledby = undefined;
        this.titleId = randomIdGenerator('icon-input-select-marker');
    }
    render() {
        return (h("svg", { key: '8cf94418210d1731f04b7a57ae977515c74caa2a', class: "digi-icon-input-select-marker", width: "14", height: "8", viewBox: "0 0 14 8", xmlns: "http://www.w3.org/2000/svg", "aria-hidden": this.afSvgAriaHidden ? 'true' : 'false', "aria-labelledby": this.afSvgAriaLabelledby
                ? this.afSvgAriaLabelledby
                : this.afTitle
                    ? this.titleId
                    : undefined }, this.afTitle && h("title", { key: '0e8223a9c5d4bc4e02f61543955b1656a5032938', id: this.titleId }, this.afTitle), this.afDesc && h("desc", { key: 'ac7fb555530e828bfc96f92a627a92436a53a76f' }, this.afDesc), h("path", { key: 'b9fee872a40ba935ba4b4a18eddd39cd1a534a89', d: "M1 1l6.074 6L13 1.147", stroke: "currentColor", "stroke-width": "2", fill: "none", "fill-rule": "evenodd" })));
    }
    static get style() { return DigiIconInputSelectMarkerStyle0; }
}, [2, "digi-icon-input-select-marker", {
        "afTitle": [1, "af-title"],
        "afDesc": [1, "af-desc"],
        "afSvgAriaHidden": [4, "af-svg-aria-hidden"],
        "afSvgAriaLabelledby": [1, "af-svg-aria-labelledby"],
        "titleId": [32]
    }]);
function defineCustomElement() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["digi-icon-input-select-marker"];
    components.forEach(tagName => { switch (tagName) {
        case "digi-icon-input-select-marker":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, IconInputSelectMarker);
            }
            break;
    } });
}

export { IconInputSelectMarker as I, defineCustomElement as d };
